GDB (xrefs)

Classes | Macros | Typedefs | Enumerations | Functions | Variables
/tmp/gdb-8.1/gdb/nto-tdep.h File Reference
`#include "solist.h"`
`#include "osabi.h"`
`#include "regset.h"`
`#include "gdbthread.h"`

Go to the source code of this file.

## Classes
struct | nto_target_ops
struct | _debug_regs
struct | nto_thread_info
struct | nto_inferior_data

## Macros
#define | nto_cpuinfo_flags (current_nto_target.cpuinfo_flags)
#define | nto_cpuinfo_valid (current_nto_target.cpuinfo_valid)
#define | nto_regset_id (current_nto_target.regset_id)
#define | nto_supply_gregset (current_nto_target.supply_gregset)
#define | nto_supply_fpregset (current_nto_target.supply_fpregset)
#define | nto_supply_altregset (current_nto_target.supply_altregset)
#define | nto_supply_regset (current_nto_target.supply_regset)
#define | nto_register_area (current_nto_target.register_area)
#define | nto_regset_fill (current_nto_target.regset_fill)
#define | nto_fetch_link_map_offsets (current_nto_target.fetch_link_map_offsets)
#define | nto_is_nto_target (current_nto_target.is_nto_target)

## Typedefs
typedef char | qnx_reg64[8]
typedef struct _debug_regs | nto_regset_t

## Enumerations
enum | { CPUTYPE_X86, CPUTYPE_PPC, CPUTYPE_MIPS, CPUTYPE_SPARE, CPUTYPE_ARM, CPUTYPE_SH, CPUTYPE_UNKNOWN }
enum | { OSTYPE_QNX4, OSTYPE_NTO }
enum | { NTO_REG_GENERAL, NTO_REG_FLOAT, NTO_REG_SYSTEM, NTO_REG_ALT, NTO_REG_END }

## Functions
static nto_thread_info * | get_nto_thread_info (thread_info *thread)
void | nto_init_solib_absolute_prefix (void)
char ** | nto_parse_redirection (char *start_argv[], const char **in, const char **out, const char **err)
void | nto_relocate_section_addresses (struct so_list *, struct target_section *)
int | nto_map_arch_to_cputype (const char *)
int | nto_find_and_open_solib (const char *, unsigned, char **)
enum gdb_osabi | nto_elf_osabi_sniffer (bfd *abfd)
void | nto_initialize_signals (void)
void | nto_dummy_supply_regset (struct regcache *regcache, char *regs)
int | nto_in_dynsym_resolve_code (CORE_ADDR pc)
const char * | nto_extra_thread_info (struct target_ops *self, struct thread_info *)
LONGEST | nto_read_auxv_from_initial_stack (CORE_ADDR inital_stack, gdb_byte *readbuf, LONGEST len, size_t sizeof_auxv_t)
struct nto_inferior_data * | nto_inferior_data (struct inferior *inf)

## Variables
struct nto_target_ops | current_nto_target

## Macro Definition Documentation

## ◆ nto_cpuinfo_flags

#define nto_cpuinfo_flags (current_nto_target.cpuinfo_flags)

Definition at line 79 of file nto-tdep.h.

Referenced by _initialize_procfs(), i386nto_register_area(), i386nto_regset_fill(), and i386nto_supply_fpregset().

## ◆ nto_cpuinfo_valid

#define nto_cpuinfo_valid (current_nto_target.cpuinfo_valid)

Definition at line 81 of file nto-tdep.h.

Referenced by _initialize_procfs(), i386nto_register_area(), i386nto_regset_fill(), and i386nto_supply_fpregset().

## ◆ nto_fetch_link_map_offsets

#define nto_fetch_link_map_offsets (current_nto_target.fetch_link_map_offsets)

Definition at line 97 of file nto-tdep.h.

Referenced by init_i386nto_ops().

## ◆ nto_is_nto_target

#define nto_is_nto_target (current_nto_target.is_nto_target)

Definition at line 100 of file nto-tdep.h.

Referenced by _initialize_procfs(), and procfs_open_1().

## ◆ nto_register_area

#define nto_register_area (current_nto_target.register_area)

Definition at line 93 of file nto-tdep.h.

Referenced by init_i386nto_ops(), and procfs_store_registers().

## ◆ nto_regset_fill

#define nto_regset_fill (current_nto_target.regset_fill)

Definition at line 95 of file nto-tdep.h.

Referenced by init_i386nto_ops(), and procfs_store_registers().

## ◆ nto_regset_id

#define nto_regset_id (current_nto_target.regset_id)

Definition at line 83 of file nto-tdep.h.

Referenced by init_i386nto_ops(), and procfs_store_registers().

## ◆ nto_supply_altregset

#define nto_supply_altregset (current_nto_target.supply_altregset)

Definition at line 89 of file nto-tdep.h.

Referenced by init_i386nto_ops(), and procfs_fetch_registers().

## ◆ nto_supply_fpregset

#define nto_supply_fpregset (current_nto_target.supply_fpregset)

Definition at line 87 of file nto-tdep.h.

Referenced by init_i386nto_ops(), and procfs_fetch_registers().

## ◆ nto_supply_gregset

#define nto_supply_gregset (current_nto_target.supply_gregset)

Definition at line 85 of file nto-tdep.h.

Referenced by init_i386nto_ops(), and procfs_fetch_registers().

## ◆ nto_supply_regset

#define nto_supply_regset (current_nto_target.supply_regset)

Definition at line 91 of file nto-tdep.h.

Referenced by init_i386nto_ops().

## Typedef Documentation

## ◆ nto_regset_t

typedef struct _debug_regs nto_regset_t

## ◆ qnx_reg64

typedef char qnx_reg64[8]

Definition at line 130 of file nto-tdep.h.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
CPUTYPE_X86 |
CPUTYPE_PPC |
CPUTYPE_MIPS |
CPUTYPE_SPARE |
CPUTYPE_ARM |
CPUTYPE_SH |
CPUTYPE_UNKNOWN |

Definition at line 103 of file nto-tdep.h.

## ◆ anonymous enum

anonymous enum

Enumerator
OSTYPE_QNX4 |
OSTYPE_NTO |

Definition at line 114 of file nto-tdep.h.

## ◆ anonymous enum

anonymous enum

Enumerator
NTO_REG_GENERAL |
NTO_REG_FLOAT |
NTO_REG_SYSTEM |
NTO_REG_ALT |
NTO_REG_END |

Definition at line 121 of file nto-tdep.h.

## Function Documentation

## ◆ get_nto_thread_info()

static nto_thread_info* get_nto_thread_info | ( | thread_info * | thread | ) |
| inline static

Definition at line 146 of file nto-tdep.h.

References thread_info::priv.

Referenced by nto_extra_thread_info(), update_thread_private_data(), and update_thread_private_data_name().

## ◆ nto_dummy_supply_regset()

void nto_dummy_supply_regset | ( | struct regcache * | regcache,
|  | char * | regs
| ) |  |

Definition at line 303 of file nto-tdep.c.

Referenced by init_i386nto_ops().

## ◆ nto_elf_osabi_sniffer()

enum gdb_osabi nto_elf_osabi_sniffer | ( | bfd * | abfd | ) |

Definition at line 344 of file nto-tdep.c.

References GDB_OSABI_UNKNOWN, and nto_sniff_abi_note_section().

Referenced by _initialize_i386nto_tdep().

## ◆ nto_extra_thread_info()

const char* nto_extra_thread_info | ( | struct target_ops * | self,
|  | struct thread_info * |
| ) |  |

Definition at line 381 of file nto-tdep.c.

References get_nto_thread_info(), nto_thread_state_str, thread_info::priv, and nto_thread_info::state.

Referenced by init_procfs_targets().

## ◆ nto_find_and_open_solib()

int nto_find_and_open_solib | ( | const char * | ,
|  | unsigned | ,
|  | char ** |
| ) |  |

Definition at line 90 of file nto-tdep.c.

References gdb_realpath(), gdbarch_bfd_arch_info(), gdbarch_byte_order(), nto_target(), openp(), OPF_RETURN_REALPATH, OPF_TRY_CWD_FIRST, PATH_FMT, target_gdbarch(), and xsnprintf().

Referenced by i386nto_init_abi().

## ◆ nto_in_dynsym_resolve_code()

int nto_in_dynsym_resolve_code | ( | CORE_ADDR | pc | ) |

Definition at line 295 of file nto-tdep.c.

References in_plt_section().

Referenced by i386nto_init_abi().

## ◆ nto_inferior_data()

struct nto_inferior_data* nto_inferior_data | ( | struct inferior * | inf | ) |

Definition at line 522 of file nto-tdep.c.

References current_inferior(), gdb_assert, inferior::inferior(), nto_inferior_data_reg, and nto_new_inferior_data().

Referenced by procfs_stopped_by_watchpoint(), and procfs_wait().

## ◆ nto_init_solib_absolute_prefix()

void nto_init_solib_absolute_prefix | ( | void |  | ) |

Definition at line 154 of file nto-tdep.c.

References execute_command(), gdbarch_bfd_arch_info(), gdbarch_byte_order(), nto_target(), target_gdbarch(), and xsnprintf().

Referenced by do_attach().

## ◆ nto_initialize_signals()

void nto_initialize_signals | ( | void |  | ) |

Definition at line 394 of file nto-tdep.c.

References gdb_signal_from_name(), signal_pass_update(), signal_print_update(), and signal_stop_update().

Referenced by i386nto_init_abi().

## ◆ nto_map_arch_to_cputype()

int nto_map_arch_to_cputype | ( | const char * |  | ) |

Definition at line 74 of file nto-tdep.c.

References CPUTYPE_ARM, CPUTYPE_MIPS, CPUTYPE_PPC, CPUTYPE_SH, CPUTYPE_UNKNOWN, and CPUTYPE_X86.

Referenced by procfs_open_1().

## ◆ nto_parse_redirection()

char** nto_parse_redirection | ( | char * | start_argv[],
|  | const char ** | in,
|  | const char ** | out,
|  | const char ** | err
| ) |  |

Definition at line 189 of file nto-tdep.c.

References gdb::argv, err, pin, and XCNEWVEC.

Referenced by procfs_create_inferior().

## ◆ nto_read_auxv_from_initial_stack()

LONGEST nto_read_auxv_from_initial_stack | ( | CORE_ADDR | inital_stack,
|  | gdb_byte * | readbuf,
|  | LONGEST | len,
|  | size_t | sizeof_auxv_t
| ) |  |

Definition at line 418 of file nto-tdep.c.

References extract_unsigned_integer(), gdbarch_byte_order(), memset(), target_gdbarch(), and target_read_memory().

Referenced by procfs_xfer_partial().

## ◆ nto_relocate_section_addresses()

void nto_relocate_section_addresses | ( | struct so_list * | ,
|  | struct target_section * |
| ) |  |

Definition at line 280 of file nto-tdep.c.

References target_section::addr, target_section::endaddr, find_load_phdr(), lm_addr(), nto_truncate_ptr(), and target_section::the_bfd_section.

Referenced by i386nto_init_abi().

## Variable Documentation

## ◆ current_nto_target

struct nto_target_ops current_nto_target

Definition at line 50 of file nto-tdep.c.